Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## simogl.gameobjects.building
Class Farm

    java.lang.Object
      simogl.gameobjects.AbstractGameObject
          simogl.gameobjects.building.AbstractBuilding
              simogl.gameobjects.building.Farm

    public class Farm

extends AbstractBuilding

This class represents a farm in the game

Author:
  Frank Bruns

Field Summary

Fields inherited from class simogl.gameobjects.building.AbstractBuilding
`CITY_HALL, FARM, HOUSE, type`

Constructor Summary
`Farm(float x, float y, float z)` Creates a new farm

Method Summary
`int` | `getFoodProduction()` Returns the amount of food this building is producing every time intervall
`void` | `setFoodProduction(int amount)` Sets the amount of food that is produced by the building every time intervall to the specified value

Methods inherited from class simogl.gameobjects.building.AbstractBuilding
`addToScene, decreaseNumberInhabitants, deleteBuilding, getFoodConsumption, getNumberInhabitants, getPrice, getRegularCosts, getTaxes, getTaxRate, getTotalNumberInhabitants, getType, increaseNumberInhabitants, setPrice, setRegularCost, setTaxRate, setVisibleBox, update`

Methods inherited from class simogl.gameobjects.AbstractGameObject
`getModel, getName, getPosition, getX, getY, getZ, setPosition, setPosition, setX, setY, setZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Farm

    public Farm(float x,
                float y,
                float z)

  Creates a new farm

  Parameters:
    `x` - x-coordinate
    `y` - y-coordinate
    `z` - z-coordinate

Method Detail

### getFoodProduction

    public int getFoodProduction()

  Returns the amount of food this building is producing every time intervall

  Returns:
    amount of food this building produces

### setFoodProduction

    public void setFoodProduction(int amount)

  Sets the amount of food that is produced by the building every time intervall to the specified value

  Parameters:
    `amount` - amount of food to produce every time intervall

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD